### Constructor

# Gimp Layer new_from_visible

since: 2.6

#### Declaration [src]

    GimpLayer*
    gimp_layer_new_from_visible (
      GimpImage* image,
      GimpImage* dest_image,
      const gchar* name
    )

#### Description [src]

Create a new layer from what is visible in an image.

This procedure creates a new layer from what is visible in the given image.

The new layer still needs to be added to the image as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` method.

Other attributes such as layer mask and offsets should be set with explicit procedure calls.

Available since: 2.6

#### Parameters

`image`

  Type: `GimpImage`

  The source image from where the content is copied.

  The data is owned by the caller of the function.

`dest_image`

  Type: `GimpImage`

  The destination image to which to add the layer.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The layer name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpLayer`

The newly created layer.

The data is owned by the called function.